#include "Alloc.h"


float** Make2DFloatArray(int arraySizeX, int arraySizeY) {  
    float** theArray;  
    theArray = (float**) malloc(arraySizeX*sizeof(float*));  
    for (int i = 0; i < arraySizeX; i++)  
       theArray[i] = (float*) malloc(arraySizeY*sizeof(float));  
       return theArray;  
    } 
char** Make2DCharArray(int arraySizeX, int arraySizeY) {  
    char** theArray;  
    theArray = (char**) malloc(arraySizeX*sizeof(char*));  
    for (int i = 0; i < arraySizeX; i++)  
       theArray[i] = (char*) malloc(arraySizeY*sizeof(char));  
       return theArray;  
    } 

void Free2DFloatArray(float** theArray, int arraySizeX) {  
    for (int i = 0; i < arraySizeX; i++)  
       free(theArray[i]);
    } 

void Free2DCharArray(char** theArray, int arraySizeX) {  
    for (int i = 0; i < arraySizeX; i++)  
       free(theArray[i]);
    } 

